# PARAVIEW/PARAVIEW-insitu-Poincare 

contient un exemple Paraview/Catalyst (version 4.4.0) 
avec un plugin Catalyzer avec l'implémentation du pilotage (Steering) du pas de temps.

## Actions pour lancer le in-situ :
* Recopier sur la machine distante (ie poincare ici) :
  1) Catalyzer
  2) euler2d_cpu_c_mpi
  3) les scripts euler2d_rc_mesa et lance_euler2d_rc_loc

* Recopier sur la machine locale 
  1) Catalyzer
  2) le script lance_poincare_euler2d_mesa_steering

* Si besoin, compiler Paraview 4.4.0 (version VTK OK pour ce test) sur les deux machines

* Compiler Catalyzer sur les deux machines (installation des CMakeCache dans un build compilation du plugin, 
  puis install dans CATALYZER par exemple). Voir Catalyzer/README.md

* Adapter les scripts euler2d_rc_mesa et lance_euler2d_rc_loc au compte de la machine distante

* Lancer paraview 4.4.0 sur la machine locale

* Attention à charger le plugin de steering au lancement de paraview avant de lancer la connection Catalyst.
  Tools=>Manage Plugins=>Local Plugins cliquer sur Load New 
  et explorer l'arborescence jusqu'à CATALYZER/lib/libSteeringPlugin.so

* Engager la connection Catalyst => connect (pour l'instant, Paraview attend une connection active).
  Mettre Catalyst en pause. 

* Lancer le script lance_poincare_euler2d_mesa_steering avec comme paramètre la durée max du job sur la machine distante
```
[prompt_local]$ ./lance_poincare_euler2d_mesa_steering 10
```
  On doit indiquer cette durée pour tuer si besoin les tunnels ssh.

* Une tentative de connection du modèle au client Paraview et envoyer par Catalyst toutes les 10 itérations dans le code euler2d

* Cliquer sur l'icône devant SteeringPlugin exporte les données vers le moteur de rendu et permet de construire le pipeline VTK.

* Sortir de la pause fait avancer les pas de temps dans le code.

* Le paramètre de pilotage (changer du dt) est dans les propriétés du SteeringPlugin.

* Le pas de temps calculé par la CFL (condition vitesse / pas de temps) est visible dans les fichiers de sortie du modèle.
